I think I tampered with it while trying to change the SRC_URI to and fro. I downloaded a new copy from http://gitorious.org/gumstix-oe/mainline/blobs/3c35f58e2f488034007c07e77d3a467ae46a601a/recipes/powervr-drivers/omap3-sgx-modules_1.4.14.2514.bb and it installed fine. The recipe that you had posted ( clutter_1.2.10.bb ) build fine. But how do I install this on gumstix. I don't see any new ipks formed for clutter. Are you working on building the other clutter modules for 1.2 version for gumstix?

Also, do I have to install any new git package if I have to use the git utilities. I have installed only git-core.
vidya@vidya-laptop:~$ git-status
git-status: command not found
vidya@vidya-laptop:~$ git-blame -L 1,1 recipes/powervr-drivers/libgles-omap3_3.01.00.06.bb
git-blame: command not found
vidya@vidya-laptop:~$ git blame -L 1,1 recipes/powervr-drivers/libgles-omap3_3.01.00.06.bb
fatal: Not a git repository (or any of the parent directories): .git

Thanks a lot!!
Vidya.


On Mon, Jul 12, 2010 at 1:56 PM, Andreas Mueller <schnitzeltony@gmx.de> wrote:
On Monday 12 July 2010 10:27:51 pm Vidya Menon wrote:
>
> Hi,
>
> I tried to go back to previous kernel version. It didn't work.
> Now trying with the *.02 TI bin. I am getting error with the
> omap3-sgx-modules_1.4.14.2514.bb.
>
> NOTE: Running task 1387 of 1998 (ID: 321,
> /home/vidya/overo-oe/org.openembedded.dev/recipes/powervr-drivers/omap3-sgx-modules_1.4.14.2514.bb,
> do_fetch)
> NOTE: Task failed: Malformed URL: 3_01_00_02.bin
> ERROR: TaskFailed event exception, aborting
> ERROR: Build of
> /home/vidya/overo-oe/org.openembedded.dev/recipes/powervr-drivers/omap3-sgx-modules_1.4.14.2514.bb
> do_fetch failed
> ERROR: Task 321
> (/home/vidya/overo-oe/org.openembedded.dev/recipes/powervr-drivers/omap3-sgx-modules_1.4.14.2514.bb,
> do_fetch) failed
> NOTE: Tasks Summary: Attempted 1386 tasks of which 1386 didn't need to be
> rerun and 1 failed.
> ERROR:
> '/home/vidya/overo-oe/org.openembedded.dev/recipes/powervr-drivers/omap3-sgx-modules_1.4.14.2514.bb'
> failed.
>
> Please help.
>
> Thanks
> Vidya.

Hm one question:

Is it possible that you started your first build (especially for omap3-sgx-modules) with a different version of OE - or with other words - did you git-pull without full rebuild (deleting tmp)?

If yes: I think you are a victim of the error in current gumstix-OE in base.bbclass / decodeurl.

For further details see:
http://lists.linuxtogo.org/pipermail/openembedded-devel/2010-July/021324.html or
http://old.nabble.com/Angstrom-version-error-td29072187.html

If no: Check your changes with git-status.


------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
gumstix-users mailing list
gumstix-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gumstix-users